com.corticon.rulesemf.canonicalrulemodel.ruleflow

## Interface Decision

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RuleModelElement

      public interface Decision
      extends RuleModelElement

  A representation of the model object 'Decision'.

  The following features are supported:

  - `Label Expression`
  - `Boolean Label`
  - `Default`
  - `Next Step`
  - `Label`
  See Also:
    `RuleflowPackage.getDecision()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getLabel()` Returns the value of the 'Label' containment reference list.
    `java.lang.String` | `getLabelExpression()` Returns the value of the 'Label Expression' attribute
    `FlowControl` | `getNextStep()` Returns the value of the 'Next Step' reference
    `boolean` | `isBooleanLabel()` Returns the value of the 'Boolean Label' attribute
    `boolean` | `isDefault()` Returns the value of the 'Default' attribute
    `void` | `setBooleanLabel(boolean value)` Sets the value of the '`Boolean Label`' attribute
    `void` | `setDefault(boolean value)` Sets the value of the '`Default`' attribute
    `void` | `setLabelExpression(java.lang.String value)` Sets the value of the '`Label Expression`' attribute
    `void` | `setNextStep(FlowControl value)` Sets the value of the '`Next Step`' reference

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalrulemodel.RuleModelElement

      `getDocumentingRuleStatements`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getLabelExpression

          java.lang.String getLabelExpression()

      Returns the value of the 'Label Expression' attribute.

      If the meaning of the 'Label Expression' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Label Expression' attribute.
      See Also:
        `setLabelExpression(String)`, `RuleflowPackage.getDecision_LabelExpression()`

    - #### setLabelExpression

          void setLabelExpression(java.lang.String value)

      Sets the value of the '`Label Expression`' attribute.
      Parameters:
        `value` - the new value of the 'Label Expression' attribute.
      See Also:
        `getLabelExpression()`

    - #### isBooleanLabel

          boolean isBooleanLabel()

      Returns the value of the 'Boolean Label' attribute.

      If the meaning of the 'Boolean Label' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Boolean Label' attribute.
      See Also:
        `setBooleanLabel(boolean)`, `RuleflowPackage.getDecision_BooleanLabel()`

    - #### setBooleanLabel

          void setBooleanLabel(boolean value)

      Sets the value of the '`Boolean Label`' attribute.
      Parameters:
        `value` - the new value of the 'Boolean Label' attribute.
      See Also:
        `isBooleanLabel()`

    - #### isDefault

          boolean isDefault()

      Returns the value of the 'Default' attribute.

      If the meaning of the 'Default' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Default' attribute.
      See Also:
        `setDefault(boolean)`, `RuleflowPackage.getDecision_Default()`

    - #### setDefault

          void setDefault(boolean value)

      Sets the value of the '`Default`' attribute.
      Parameters:
        `value` - the new value of the 'Default' attribute.
      See Also:
        `isDefault()`

    - #### getNextStep

          FlowControl getNextStep()

      Returns the value of the 'Next Step' reference.

      If the meaning of the 'Next Step' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Next Step' reference.
      See Also:
        `setNextStep(FlowControl)`, `RuleflowPackage.getDecision_NextStep()`

    - #### setNextStep

          void setNextStep(FlowControl value)

      Sets the value of the '`Next Step`' reference.
      Parameters:
        `value` - the new value of the 'Next Step' reference.
      See Also:
        `getNextStep()`

    - #### getLabel

          org.eclipse.emf.common.util.EList getLabel()

      Returns the value of the 'Label' containment reference list. The list contents are of type `OpaqueExpression`.

      If the meaning of the 'Label' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Label' containment reference list.
      See Also:
        `RuleflowPackage.getDecision_Label()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.